# The Gammu Manual

Gammu is a project providing abstraction layer for cell phones access. It covers wide range of phones, mostly focusing on AT compatible phones and Nokia phones.

This manual describes all parts of Gammu, starting with information about Gammu project, going through API documentation for both python-gammu and libGammu and covering SMS Daemon as well.

## Continue reading

- Quick starter guide – quick starter guide

- Gammu project – learn about Gammu project

- SMS Daemon – comprehensive SMSD documentation

- Gammu Utility – the Gammu utility

- Gammu Configuration File – the Gammu configuration file

- python-gammu – use Gammu functionality from Python

- libGammu – use Gammu functionality from C

- Gammu internals – learn about Gammu internals

- Frequently Asked Questions – frequently asked questions

- Phone Protocols – learn about phone protocols

- File formats used by Gammu – file formats supported by Gammu

# Gammu All Mobile Management Utilities

Gammu is library and command line utility for mobile phones. It is released under GNU GPL version 2.

It has been initiated by Marcin Wiacek and other people. Originally the code was based on Gnokii <https://www.gnokii.org/> and later MyGnokii <http://www.mwiacek.com/> projects. Gammu was formerly (up to version 0.58) called MyGnokii2.

Currently the project is led by Michal Cihar <michal@cihar.com> with help of many contributors.

# More information

You can find more information on <https://github.com/gammu/gammu/>.

There is also a Gammu manual available in docs/manual. You can build HTML version of it using make manual-html which is viewable online at <https://docs.gammu.org/>.

# Feedback and bug reports

Any feedback is welcome, see <https://github.com/gammu/gammu/> for information how to contact developers.

# Support developers

You can appreciate developers’ work at <https://wammu.eu/donate/>.

## Full contents

## Gammu Documentation Contents

- Gammu project
  - About Gammu
  - Motivation to fork Gnokii
  - Installing Gammu
  - Contributing
  - Localization
  - Testing
  - Releasing Gammu
  - Coding Style
  - Versioning
  - Project Documentation
  - Directory structure
  - Roadmap for Gammu
- Quick starter guide
  - Gammu family
  - Installing Gammu
  - Starting with Gammu on Linux
  - Starting with Gammu on Windows
  - Starting with SMSD
- Frequently Asked Questions
  - General Gammu FAQ
  - Configuring Gammu FAQ
  - Phone Support FAQ
  - SMSD FAQ
  - Python-gammu FAQ
- python-gammu
  - A taste of python-gammu
  - API documentation
  - python-gammu Examples
- libGammu
  - Hints for libGammu Novices
  - Examples
  - libGammu C API
  - Porting from libGammu older than 1.12.0
- Gammu internals
  - Reply functions
  - State Machine
  - Adding support for new phone
- File formats used by Gammu
  - INI file format
  - SMS Backup Format
  - Backup Format
- Gammu Configuration File
  - Synopsis
  - Description
  - Examples
- Gammu Utility
  - Synopsis
  - Description
  - Return values
  - Examples
- SMS Daemon
  - Overview
  - Usage
  - Program Manuals
  - SMSD Configuration File
  - RunOnReceive Directive
  - Backend services
  - Developer documentation
- Miscellaneous utilities
  - gammu-detect
  - gammu-config
  - jadmaker
- Testing Gammu
  - Gammu Testsuite
  - Dummy Driver
- Phone Protocols
  - Discovering protocol
  - Nokia protocols
  - Nokia S40 filesystem SMS format
  - Nokia 6110
  - Nokia 6510
  - Nokia 7110
  - Nokia 6210/6310, CARC91, PC Experiment
  - TDMA 5120
  - SAMSUNG Organizer AT commands
  - SAMSUNG GT calendar AT commands
  - Sonim AT Commands
  - MTK AT Commands
  - m-obex protocol used by some Samsung mobiles
  - Series60 Remote Protocol
  - Gnapplet Protocol
- Glossary

## Indices and tables

- Index

- Module Index

- Search Page